userFills

post
/info

Request array of user fills.

Body

Request array of user fills.

typeundefined · enumRequired

Type of request.

Possible values:
userstring · min: 42 · max: 42Required

User address.

Pattern: ^0[xX][0-9a-fA-F]+$
aggregateByTimebooleanOptional

If true, partial fills are aggregated when a crossing order fills multiple resting orders.

Responses
chevron-right
200

Array of user trade fills.

application/json

Array of user trade fills.

cloidstringOptional

Client Order ID.

Pattern: ^0x[a-fA-F0-9]{32}$
coinstringRequired

Asset symbol.

pxstringRequired

Price.

Pattern: ^[0-9]+(\.[0-9]+)?$
szstringRequired

Size.

Pattern: ^[0-9]+(\.[0-9]+)?$
sidestring · enumRequired

Order side ("B" = Bid/Buy, "A" = Ask/Sell).

Possible values:
timenumberRequired

Timestamp when the trade occurred (in ms since epoch).

startPositionstringRequired

Start position size.

Pattern: ^-?[0-9]+(\.[0-9]+)?$
dirstringRequired

Direction indicator for frontend display.

closedPnlstringRequired

Realized PnL.

Pattern: ^-?[0-9]+(\.[0-9]+)?$
hashstringRequired

L1 transaction hash.

Pattern: ^0x[a-fA-F0-9]{64}$
oidnumberRequired

Order ID.

crossedbooleanRequired

Indicates if the fill was a taker order.

feestringRequired

Fee charged or rebate received (negative indicates rebate).

Pattern: ^-?[0-9]+(\.[0-9]+)?$
builderFeestringOptional

Optional fee charged by the UI builder.

Pattern: ^-?[0-9]+(\.[0-9]+)?$
tidnumberRequired

Unique transaction identifier for a partial fill of an order.

feeTokenstringRequired

Token in which the fee is denominated (e.g., "USDC").

twapIdnumber · nullableRequired

ID of the TWAP.

post
/info
TypeScript

Last updated